<bugID>577900<Summary>Hide firefox button when menu bar is visible</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1 ( .NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1 ( .NET CLR 3.5.30729)

When  "hide menu bar" is checked Firefox(or Minefield in nightlies) button becomes visible. When Alt is pressed to open the menu this button is still visible. It'd be more logical to make this button disappear automatically when Alt is pressed. 

Reproducible: Always</Description></bugID>